from django.contrib import admin
from .models import *
from django.apps import apps

@admin.register(Bibliography)
class BibliographyAdmin(admin.ModelAdmin):
    list_display = ('authors_list', 'title', 'journal_name', 'biblio_year', 'id_source')

@admin.register(Protein)
class ProteinAdmin(admin.ModelAdmin):
    list_display = ('uniprot_id', 'recommended_name_long')

@admin.register(Taxonomy)
class TaxonomyAdmin(admin.ModelAdmin):
    list_display = ('taxonomy_id', 'name')

@admin.register(Domain)
class DomainAdmin(admin.ModelAdmin):
    list_display = ('pfam_acc', 'pfam_id', 'pfam_description', 'domain_family')

@admin.register(ProteinDomainBoundComplex)
class ProteinDomainBoundComplexAdmin(admin.ModelAdmin):
    list_display = ('protein', 'domain', 'ppc_copy_nb', 'ppp_copy_nb_per_p')
    list_display_links = ('protein', 'domain', 'ppc_copy_nb', 'ppp_copy_nb_per_p')

@admin.register(ProteinDomainPartnerComplex)
class ProteinDomainPartnerComplexAdmin(admin.ModelAdmin):
    list_display = ('protein', 'domain', 'ppc_copy_nb')
    list_display_links = ('protein', 'domain', 'ppc_copy_nb')

@admin.register(Symmetry)
class Symmetry(admin.ModelAdmin):
    list_display = ('code', 'description')

@admin.register(MDDRCompoundImport)
class MDDRCompoundImport(admin.ModelAdmin):
    list_display = ('mddr_name', 'dvpmt_phase', 'canonical_smile')

for model in apps.get_app_config('ippidb').models.values():
    try:
        admin.site.register(model)
    except admin.sites.AlreadyRegistered as are:
        continue

admin.site.site_header = 'iPPI-DB website administration'

admin.site.site_title = admin.site.site_header

admin.site.index_header = 'iPPI-DB administration'

admin.site.index_title = admin.site.index_header


